List all components
curl --request GET \
--url https://api.yalg.ai/v1/components \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.yalg.ai/v1/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yalg.ai/v1/components"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "018f9f51-4b89-778f-9c0b-fd4626f47326",
"name": "Metric comparison card",
"category": "metric",
"isPublic": false,
"isValidated": true,
"createdAt": "2026-06-20T17:24:39.000Z",
"updatedAt": "2026-06-20T17:24:39.000Z"
}
]{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request",
"code": "validation_failed"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized",
"code": "unauthorized"
}{
"statusCode": 403,
"message": "Access denied",
"error": "Forbidden",
"code": "forbidden"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"error": "Too Many Requests",
"code": "rate_limit_exceeded",
"retryAfter": 60
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error",
"code": "internal_server_error"
}components
List all components
Retrieves all components for the current user with optional filters
GET
/
v1
/
components
List all components
curl --request GET \
--url https://api.yalg.ai/v1/components \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.yalg.ai/v1/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yalg.ai/v1/components"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "018f9f51-4b89-778f-9c0b-fd4626f47326",
"name": "Metric comparison card",
"category": "metric",
"isPublic": false,
"isValidated": true,
"createdAt": "2026-06-20T17:24:39.000Z",
"updatedAt": "2026-06-20T17:24:39.000Z"
}
]{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request",
"code": "validation_failed"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized",
"code": "unauthorized"
}{
"statusCode": 403,
"message": "Access denied",
"error": "Forbidden",
"code": "forbidden"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"error": "Too Many Requests",
"code": "rate_limit_exceeded",
"retryAfter": 60
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error",
"code": "internal_server_error"
}Authorizations
ApiKeyAuthbearer
YALG Developer API key. Send it in the x-api-key header from a server-side environment only.
Query Parameters
category parameter.
Available options:
text, stat, transition, cta, custom Example:
"example"
Search query used to filter results.
Example:
"founder story"
isPublic parameter.
Example:
"example"
isValidated parameter.
Example:
"example"
includeSystemTemplates parameter.
Example:
"example"
Page number for paginated responses.
Example:
1
Maximum number of items to return.
Example:
20
Response
Components retrieved successfully
- object[]
- object
Generated visual component.
Component identifier.
Example:
"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"
Example:
"Metric counter"
Example:
"chart"
Generated component source code.
Example:
false
Example:
true
Example:
"2026-06-20T17:24:39.000Z"
Example:
"2026-06-20T17:24:39.000Z"